com.interactivemesh.jfx.importer

## Class Viewpoint

- java.lang.Object
- - com.interactivemesh.jfx.importer.Viewpoint

-     public class Viewpoint
      extends java.lang.Object

  A Viewpoint object provides viewing properties of a JavaFX Camera object.

  Supported properties:

  | C14ModelImporter | FxmlModelImporter | X3dModelImporter | Default value
  Name | X | X | X | `null`
  Projection mode | X | X | X | Perspective
  Near clipping distance |  | X |  | 0.1
  Far clipping distance |  | X |  | 100.0
  Field of view | X | X | X | 30
  Field of view dimension | X | X | X | Vertical
  Transformation | X | X | X | Identity
  Center of rotation |  |  | X | `null`

  See Also:
    `ParallelCamera`, `PerspectiveCamera`, `ColModelImporter.getViewpoints()`, `FxmlModelImporter.getViewpoints()`, `X3dModelImporter.getViewpoints()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Viewpoint()` Constructs a perspective Viewpoint object with an identity transform.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javafx.geometry.Point3D` | `getCenterOfRotation()` Gets the center of rotation.
    `double` | `getFarClip()` Gets the far clipping plane distance.
    `double` | `getFieldOfView()` Gets the field of view value.
    `java.lang.String` | `getName()` Gets the name.
    `double` | `getNearClip()` Gets the near clipping plane distance.
    `javafx.scene.transform.Affine` | `getTransform()` Gets the affine transform.
    `boolean` | `isPerspective()` Gets the state whether the projection mode is perspective (default) or parallel.
    `boolean` | `isVerticalFieldOfView()` Gets the state whether the field of view is measured vertically (default) or horizontally.
    `void` | `setCenterOfRotation(javafx.geometry.Point3D value)` Set the center of rotation.
    `void` | `setFarClip(double value)` Sets the far clipping plane distance.
    `void` | `setFieldOfView(double value)` Sets the field of view value.
    `void` | `setName(java.lang.String value)` Sets the name.
    `void` | `setNearClip(double value)` Sets the near clipping plane distance.
    `void` | `setPerspectiveProjection(boolean value)` Sets the projection mode.
    `void` | `setTransform(javafx.scene.transform.Affine value)` Sets the affine transform.
    `void` | `setVerticalFieldOfView(boolean value)` Sets the state whether the field of view is measured vertically or horizontally.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Viewpoint

          public Viewpoint()

      Constructs a perspective Viewpoint object with an identity transform.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        name or `null` if no name is set

    - #### setName

          public void setName(java.lang.String value)

      Sets the name.
      Parameters:
        `value` - name

    - #### isPerspective

          public boolean isPerspective()

      Gets the state whether the projection mode is perspective (default) or parallel.
      Returns:
        true if perspective projection or false if parallel projection mode

    - #### setPerspectiveProjection

          public void setPerspectiveProjection(boolean value)

      Sets the projection mode.
      Parameters:
        `value` - true if perspective projection or false if parallel projection mode

    - #### getFarClip

          public double getFarClip()

      Gets the far clipping plane distance. The default value is 100.0.
      Returns:
        far clipping plane distance

    - #### setFarClip

          public void setFarClip(double value)

      Sets the far clipping plane distance.
      Parameters:
        `value` - far clipping plane distance

    - #### getNearClip

          public double getNearClip()

      Gets the near clipping plane distance. The default value is 0.1.
      Returns:
        near clipping plane distance

    - #### setNearClip

          public void setNearClip(double value)

      Sets the near clipping plane distance.
      Parameters:
        `value` - near clipping plane distance

    - #### getFieldOfView

          public double getFieldOfView()

      Gets the field of view value. The default value is 30.0.
      Returns:
        field of view

    - #### setFieldOfView

          public void setFieldOfView(double value)

      Sets the field of view value.
      Parameters:
        `value` - field of view

    - #### isVerticalFieldOfView

          public boolean isVerticalFieldOfView()

      Gets the state whether the field of view is measured vertically (default) or horizontally.
      Returns:
        true if the field of view is vertical or false if horizontal

    - #### setVerticalFieldOfView

          public void setVerticalFieldOfView(boolean value)

      Sets the state whether the field of view is measured vertically or horizontally.
      Parameters:
        `value` - true if the field of view is vertical or false if horizontal

    - #### getTransform

          public javafx.scene.transform.Affine getTransform()

      Gets the affine transform. The default value is the identity transform.
      Returns:
        copy of the affine transform

    - #### setTransform

          public void setTransform(javafx.scene.transform.Affine value)

      Sets the affine transform.
      Parameters:
        `value` - affine transform to be copied

    - #### getCenterOfRotation

          public javafx.geometry.Point3D getCenterOfRotation()

      Gets the center of rotation.
      Returns:
        center of rotation or `null` if no center value is set

    - #### setCenterOfRotation

          public void setCenterOfRotation(javafx.geometry.Point3D value)

      Set the center of rotation.
      Parameters:
        `value` - center of rotation

Copyright (C) 2013-2014 InteractiveMesh e.K.